Bug 1014774 - packstack configures br-ex to use gateway ip
packstack configures br-ex to use gateway ip
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Ivan Chavero
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 14:32 EDT by Mohammed Arafa
Modified: 2016-03-30 19:07 EDT (History)
7 users (show)

See Also:
Fixed In Version: openstack-puppet-modules-2013.2-9.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 19:07:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohammed Arafa 2013-10-02 14:32:49 EDT
Description of problem:
packstack doesnt configure br-ex 
according to this: http://openstack.redhat.com/Neutron_with_existing_external_network the /etc/sysconfig/network-script/ifcfg-br-ex should be created and the ifcfg-ethX should be reconfigured 

this is currently not happening.

nb. neutron on havana.

Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Brent Eagles 2013-10-08 12:58:01 EDT
Actually that documentation indicates that you have to make these modifications manually. I may be misunderstanding your bug report or perhaps I am missing a relevant piece of text. Can you confirm?
Comment 2 Mohammed Arafa 2013-10-20 10:17:54 EDT
isnt the objective of packstack to do all the heavy lifting of configuration? this is one of the most important configs; to allow the outside world to communicate with the openstack deployment.

note too that the documentation states you have to manually install openstack piecemeal and set up keystone for each component of the installation.

packstack does away with all that. it should do away with br-ex configuration
Comment 3 Mohammed Arafa 2013-10-29 18:54:50 EDT
i have just learned that rhev at installation does this piece of configuration. perhaps that code can be reused?
Comment 4 Mohammed Arafa 2013-11-05 10:20:50 EST
hi
i do not know when this change happened but br-ex is now created with packstack. problem is that the ip is not moved from eth0/em0 to br-ex.

---Device config for /etc/sysconfig/network-scripts/ifcfg-br-ex---
DEVICE=br-ex
DEVICETYPE=ovs
TYPE=OVSBridge
BOOTPROTO=static
IPADDR=
NETMASK=
ONBOOT=yes
---Device config for /etc/sysconfig/network-scripts/ifcfg-eth0---
DEVICE=eth0
HWADDR=18:a9:05:22:2c:5b
NM_CONTROLLED="no"
ONBOOT=yes
IPADDR=192.168.0.30
BOOTPROTO=none
NETMASK=255.255.255.0
TYPE=Ethernet
GATEWAY=192.168.0.1
DNS1=4.2.2.2
IPV6INIT=no
USERCTL=no
Comment 5 Mohammed Arafa 2013-11-26 21:16:07 EST
also means that this is incomplete in its implementation

# Whether to configure the ovs external bridge in an all-in-one
# deployment
CONFIG_PROVISION_ALL_IN_ONE_OVS_BRIDGE=y
Comment 6 Mohammed Arafa 2013-11-30 10:50:46 EST
it seems there is progress with each new version of packstack. but it is _STILL_ not complete.

[root@openstack01 openstack]# cat /etc/sysconfig/network-scripts/ifcfg-br-ex 
DEVICE=br-ex
DEVICETYPE=ovs
TYPE=OVSBridge
BOOTPROTO=static
IPADDR=172.24.4.225
NETMASK=255.255.255.240
ONBOOT=yes[root@openstack01 openstack]# 

issues
1. no gw
2. what is that ip? 
3. is the above config accurate or the documentation?
4. ethX/emX left as is
Comment 7 Mohammed Arafa 2013-12-01 11:58:16 EST
this is rather drastic. check out my br-ex config when i stated my demo floating ip range

br-ex     Link encap:Ethernet  HWaddr 72:98:F4:5E:F1:49  
          inet addr:192.168.122.1  Bcast:0.0.0.0  Mask:255.255.255.0
          inet6 addr: fe80::3ce5:7eff:fe92:bb48/64 Scope:Link
          UP BROADCAST RUNNING  MTU:1500  Metric:1
          RX packets:10 errors:0 dropped:0 overruns:0 frame:0
          TX packets:6 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:684 (684.0 b)  TX bytes:468 (468.0 b)
Comment 8 Mohammed Arafa 2013-12-04 07:58:42 EST
packstack now configures br-ex to take the first ip in the floating ip range give to it. this is normally .1 which is also normally the ip of the gateway
Comment 9 Mohammed Arafa 2013-12-04 07:59:30 EST
and of course this also means that your entire network is now flaky
Comment 10 Ivan Chavero 2014-04-23 17:59:29 EDT
The current version of the provision module in Openstack Puppet Modules set the correct ip for br-ex

Note You need to log in before you can comment on or make changes to this bug.